commit: 712eda4a41346d1d0c3cd7b163d06d5b698d016e
Author: Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 26 14:31:55 2023 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Wed Apr 26 14:32:13 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=712eda4a
net-libs/ngtcp2: add 0.15.0
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
net-libs/ngtcp2/Manifest | 1 +
net-libs/ngtcp2/ngtcp2-0.15.0.ebuild | 52 ++++++++++++++++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/net-libs/ngtcp2/Manifest b/net-libs/ngtcp2/Manifest
index bbe4022c0d91..3d4ebe928b80 100644
--- a/net-libs/ngtcp2/Manifest
+++ b/net-libs/ngtcp2/Manifest
@@ -1 +1,2 @@
DIST ngtcp2-0.14.1.tar.xz 585788 BLAKE2B
68574767c701432e7558fa85cbad0d49934d220e292ceb82cdf19a715f247c6ec9b3a2b87def1176ade067a78c84bd3495936847a9a53fcadaff7b66971eca8d
SHA512
52c55bc322d979d020ab3124a7cc0033d0f3e5649e3c8ee5f00aa64dbad83c4f199d50685704cc9372821e7fc81c59eea79f33894260b5dca171712d5b3899a0
+DIST ngtcp2-0.15.0.tar.xz 589584 BLAKE2B
af0d2e2263e9f23d07ad1c8637465ce78324f6f82614d14da55c50f64c35cbe972912de20a593c6f7483cf5db1ef4046618bb49639f0288a2fff8d82da06b4a6
SHA512
f57b0e8c88d2710fdee422c387b555d188197e54e97d99fae8b0beaa8eca2c6797e6a55efca34fb99ac65a86be1a224adfd17a0bcf314a27b5fcc24bb304f4bb
diff --git a/net-libs/ngtcp2/ngtcp2-0.15.0.ebuild
b/net-libs/ngtcp2/ngtcp2-0.15.0.ebuild
new file mode 100644
index 000000000000..e347889c7720
--- /dev/null
+++ b/net-libs/ngtcp2/ngtcp2-0.15.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake-multilib
+
+if [[ ${PV} == 9999 ]] ; then
+ EGIT_REPO_URI="https://github.com/ngtcp2/ngtcp2.git"
+ inherit git-r3
+else
+
SRC_URI="https://github.com/ngtcp2/ngtcp2/releases/download/v${PV}/${P}.tar.xz"
+ KEYWORDS="amd64 ~hppa ~riscv ~x86"
+fi
+
+DESCRIPTION="Implementation of the IETF QUIC Protocol"
+HOMEPAGE="https://github.com/ngtcp2/ngtcp2/"
+
+LICENSE="MIT"
+SLOT="0/0"
+IUSE="+gnutls openssl +ssl static-libs test"
+REQUIRED_USE="ssl? ( || ( gnutls openssl ) )"
+
+BDEPEND="virtual/pkgconfig"
+RDEPEND="
+ ssl? (
+ gnutls? ( >=net-libs/gnutls-3.7.2:0= )
+ openssl? (
+ >=dev-libs/openssl-1.1.1:0=
+ )
+ )"
+DEPEND="${RDEPEND}
+ test? ( >=dev-util/cunit-2.1[${MULTILIB_USEDEP}] )"
+RESTRICT="!test? ( test )"
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DENABLE_STATIC_LIB=$(usex static-libs)
+ -DENABLE_GNUTLS=$(usex gnutls)
+ -DENABLE_OPENSSL=$(usex openssl)
+ -DENABLE_BORINGSSL=OFF
+ -DENABLE_PICOTLS=OFF
+ -DENABLE_WOLFSSL=OFF
+ -DCMAKE_DISABLE_FIND_PACKAGE_Libev=ON
+ -DCMAKE_DISABLE_FIND_PACKAGE_Libnghttp3=ON
+ )
+ cmake_src_configure
+}
+
+multilib_src_test() {
+ cmake_build check
+}